FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 03-26-2010, 04:07 PM
Matt Domsch
 
Default libgcj or usermode-gtk bug?

Doing a 'yum upgrade' from F12 to F13 today, I get this:

Updating : libgcj-4.4.3-8.fc13.x86_64 604/2235
Can't locate File/Spec.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/local/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
Can't locate File/Spec.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/local/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
Can't locate File/Spec.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/local/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
Can't locate File/Spec.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/local/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/share/perl5 /usr/lib64/perl5 /usr/share/perl5 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
Updating : usermode-gtk-1.104.1-1.fc13.x86_64 605/2235

Which package is throwing this then? the latter I expect...

Thanks,
Matt


--
Matt Domsch
Technology Strategist
Dell | Office of the CTO
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-26-2010, 04:10 PM
Bill Nottingham
 
Default libgcj or usermode-gtk bug?

Matt Domsch (Matt_Domsch@dell.com) said:
> Which package is throwing this then? the latter I expect...

Neither, it's java-1.5.0-gcj:

$ rpm -q --triggers java-1.5.0-gcj-1.5.0.0-30.fc13.x86_64
triggerin scriptlet (using /bin/sh) -- libgcj >= 4.1.2-5
{
GIJ_VERSION=$(gij --version | head -n 2 | tail -n 1
| awk '{ print $5 }')

# jaxp_parser_impl
alternatives --install /usr/share/java/jaxp_parser_impl.jar
jaxp_parser_impl
/usr/share/java/libgcj-$GIJ_VERSION.jar 20

# rt.jar
RELATIVE=$(/usr/bin/perl -e 'use File::Spec; print
File::Spec->abs2rel($ARGV[0], $ARGV[1])' /usr/share/java
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib)
ln -sf
$RELATIVE/libgcj-$GIJ_VERSION.jar
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/rt.jar

# libjawt.so
RELATIVE=$(/usr/bin/perl -e 'use File::Spec; print
File::Spec->abs2rel($ARGV[0], $ARGV[1])' /usr/lib64/gcj-$GIJ_VERSION
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64)
ln -sf $RELATIVE/libjawt.so
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64/libjawt.so

# libjvm.so
RELATIVE=$(/usr/bin/perl -e 'use File::Spec; print
File::Spec->abs2rel($ARGV[0], $ARGV[1])' /usr/lib64/gcj-$GIJ_VERSION
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64/client)
ln -sf $RELATIVE/libjvm.so
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64/client/libjvm.so
RELATIVE=$(/usr/bin/perl -e 'use File::Spec; print
File::Spec->abs2rel($ARGV[0], $ARGV[1])' /usr/lib64/gcj-$GIJ_VERSION
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64/server)
ln -sf $RELATIVE/libjvm.so
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/x86_64/server/libjvm.so
} || :

Bill
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-26-2010, 06:06 PM
Matt Domsch
 
Default libgcj or usermode-gtk bug?

On Fri, Mar 26, 2010 at 01:10:16PM -0400, Bill Nottingham wrote:
> Matt Domsch (Matt_Domsch@dell.com) said:
> > Which package is throwing this then? the latter I expect...
>
> Neither, it's java-1.5.0-gcj:

https://bugzilla.redhat.com/show_bug.cgi?id=577350
--
Matt Domsch
Technology Strategist
Dell | Office of the CTO
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 02:58 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org